LotusGraphInternal::ZoneMac Struct Reference documentation

LotusGraphInternal::ZoneMac Struct Reference

the graphic zone of a LotusGraph for 123 mac More...

## Public Types
enum | Type { Arc , Frame , Line , Rect , Unknown }
| the different type More...

## Public Member Functions
| ZoneMac (shared_ptr< WPSStream > stream)
| constructor
bool | getGraphicShape (WPSGraphicShape &shape, WPSPosition &pos) const
| returns a graphic shape corresponding to the main form (and the origin)

## Public Attributes
Type | m_type
| the zone type
int | m_subType
| the file modifier type
shared_ptr< WPSStream > | m_stream
| the stream
WPSBox2i | m_box
| the bdbox
int | m_ordering
| the ordering
int | m_lineId
| the line style id
int | m_graphicId
| the graphic style id, used with rect shadow
int | m_surfaceId
| the surface color style id
bool | m_hasShadow
| a flag to know if we need to add shadow
WPSEntry | m_pictureEntry
| the picture entry
WPSEntry | m_textBoxEntry
| the text box entry
int | m_values [4]
| unknown other value
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, ZoneMac const &z)
| operator<<

## Detailed Description

the graphic zone of a LotusGraph for 123 mac

## Member Enumeration Documentation

## ◆ Type

enum LotusGraphInternal::ZoneMac::Type

the different type

Enumerator
Arc |
Frame |
Line |
Rect |
Unknown |

## Constructor & Destructor Documentation

## ◆ ZoneMac()

LotusGraphInternal::ZoneMac::ZoneMac | ( | shared_ptr< WPSStream > | stream | ) |
| inlineexplicit

constructor

Referenced by operator<<.

## Member Function Documentation

## ◆ getGraphicShape()

bool LotusGraphInternal::ZoneMac::getGraphicShape | ( | WPSGraphicShape & | shape,
|  | WPSPosition & | pos ) const

returns a graphic shape corresponding to the main form (and the origin)

Referenced by LotusGraph::sendPicture().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | ZoneMac const & | z )
| friend

operator<<

## Member Data Documentation

## ◆ m_box

WPSBox2i LotusGraphInternal::ZoneMac::m_box

the bdbox

Referenced by getGraphicShape(), operator<<, and ZoneMac().

## ◆ m_extra

std::string LotusGraphInternal::ZoneMac::m_extra

extra data

Referenced by operator<<, and ZoneMac().

## ◆ m_graphicId

int LotusGraphInternal::ZoneMac::m_graphicId

the graphic style id, used with rect shadow

Referenced by operator<<, LotusGraph::sendPicture(), and ZoneMac().

## ◆ m_hasShadow

bool LotusGraphInternal::ZoneMac::m_hasShadow

a flag to know if we need to add shadow

Referenced by operator<<, and ZoneMac().

## ◆ m_lineId

int LotusGraphInternal::ZoneMac::m_lineId

the line style id

Referenced by operator<<, and ZoneMac().

## ◆ m_ordering

int LotusGraphInternal::ZoneMac::m_ordering

the ordering

Referenced by operator<<, and ZoneMac().

## ◆ m_pictureEntry

WPSEntry LotusGraphInternal::ZoneMac::m_pictureEntry

the picture entry

Referenced by LotusGraph::sendPicture(), and ZoneMac().

## ◆ m_stream

shared_ptr<WPSStream> LotusGraphInternal::ZoneMac::m_stream

the stream

Referenced by LotusGraph::sendPicture(), and ZoneMac().

## ◆ m_subType

int LotusGraphInternal::ZoneMac::m_subType

the file modifier type

Referenced by getGraphicShape(), operator<<, and ZoneMac().

## ◆ m_surfaceId

int LotusGraphInternal::ZoneMac::m_surfaceId

the surface color style id

Referenced by operator<<, and ZoneMac().

## ◆ m_textBoxEntry

WPSEntry LotusGraphInternal::ZoneMac::m_textBoxEntry

the text box entry

Referenced by ZoneMac().

## ◆ m_type

Type LotusGraphInternal::ZoneMac::m_type

the zone type

Referenced by getGraphicShape(), operator<<, and ZoneMac().

## ◆ m_values

int LotusGraphInternal::ZoneMac::m_values[4]

unknown other value

Referenced by operator<<, and ZoneMac().

The documentation for this struct was generated from the following file:

- LotusGraph.cpp